from distutils.core import setup
setup(
  name = 'optnn',
  packages = ['optnn'],
  version = '0.1',
  license='MIT',
  description = 'The library, which serves as the simulator of the 4f free-space system. It uses the custom convolutional layer in PyTorch, which uses the simulation of the light propagation in the 4F device.',
  author = 'Riad Ibadulla',
  author_email = 'riadibadulla@gmail.com',
  url = 'https://github.com/riadibadulla/simulator',
  download_url = 'https://github.com/riadibadulla/simulator/archive/refs/tags/v0.1-alpha.tar.gz',
  keywords = ['4F', 'Optics', 'Optical', 'simulator', 'simulation', 'freespace', 'convolutional' ,'layer'],
  install_requires=[
          'matplotlib',
          'numpy',
          'scikit-image',
          'scipy',
          'seaborn',
          'torch',
          'torchvision',
          'tensorboard',
          'scikit-learn',
          'pandas',
          'tqdm',
      ],
  classifiers=[
    'Development Status :: 3 - Alpha',
    'Intended Audience :: Developers',
    'Topic :: Software Development :: Build Tools',
    'License :: OSI Approved :: MIT License',
    'Programming Language :: Python :: 3.7',
    'Programming Language :: Python :: 3.8',
    'Programming Language :: Python :: 3.9',
  ],
)